@import "itemCard.css";

#nav-container {
    background: var(--background-colour) !important;
}

#page-header-banner {
    position: relative;
    top: 0;
    z-index: 1;
    max-width: 100%;
    margin: 0 auto;
    aspect-ratio: 9 / 1;
    overflow: hidden;
    min-height: 213px;
}

#page-header-banner-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: 0% 17%;
}

#banner-block {
    position: absolute;
    top: calc((100% - 1rem) / 2);
    z-index: 5;
    width: 100%;
    display: flex;
    padding: 15px 0;
    color: white;
}

.gradient-overlay {
    position: absolute;
    top: 0px;
    z-index: 3;
    width: 100%;
    height: 100%;
}

#main-banner-overlay {
    background-color: rgba(0, 0, 0, 0.3);
}

.content-card {
    display: block;
    text-decoration: none;
    background: var(--sidebar-background-colour);
    border: 1px solid var(--border-colour);
    border-radius: 8px;
    padding: 1.8rem;
}

.card-divider {
    margin-bottom: 1.5rem;
    padding-bottom: 1rem;
    border-bottom: 1px solid var(--border-colour);
}

#patterns-content {
    display: grid;
    grid-template-columns: 1.5fr 3.5fr;
    gap: 2rem;
    padding-top: 53px;
}

#title-text {
    width: 1200px;
    margin: 0 auto;
    font-size: calc(2rem + 1vw);
    text-align: left;
    padding-left: 1rem;
}

#filter-header {
    display: flex;
    align-items: center;
    font-size: 1.5rem;
    font-weight: 500;
    cursor: pointer;
    user-select: none;
    -webkit-user-select: none;
}

#filter-header img {
    height: 32px;
    padding-right: 0.3rem;
    filter: var(--svg-filter-colour);
}

.filter-subheader {
    display: flex;
    align-items: center;
    font-size: 1.2rem;
    font-weight: 700;
    cursor: pointer;
    user-select: none;
    -webkit-user-select: none;
    padding-bottom: 20px;
}

#filter-header:hover,
.filter-subheader:hover {
    filter: var(--svg-filter-primary);
    user-select: none;
    -webkit-user-select: none;
}

.filter-chevron {
    padding-left: 0.3rem;
    opacity: 0.6;
}

.filter-chevron-subheader {
    height: 1.5rem;
    filter: var(--svg-filter-colour);
}

.filter-item-count {
    opacity: 0.6;
}

#sorting-links {
    margin-top: 15px;
    user-select: none;
    -webkit-user-select: none;
}

.filter-order {
    cursor: pointer;
    opacity: 0.8;
}

.filter-order span {
    display: flex;
    align-items: center;
    padding: 5px 0;
}

.filter-order-icon {
    height: 26px;
    padding-right: 0.3rem;
    filter: var(--svg-filter-colour);
}

.filter-order:hover {
    filter: var(--svg-filter-primary) !important;
}

.sort-selected {
    filter: var(--svg-filter-primary-dark);
}

#filter-message {
    font-style: italic;
    text-align: center;
    padding: 15px 0px;
}

@media (max-width: 1026px) {
    #patterns-content {
        grid-template-columns: 1fr;
        padding-top: 0px;
    }

    #filter-sidebar {
        order: 2;
    }

    #right-content {
        order: 3;
    }

    #filter-sidebar,
    #right-content {
        grid-column: 1;
    }

    #page-header-banner {
        aspect-ratio: 10 / 1;
    }
}
